package com.example.kafka.service;

import com.example.kafka.entity.Department;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface DepartmentService {
    Mono<Department> createDepartment(Department department);

    Flux<Department> getAllDepartment();

    Mono<Department> findById(String departmentId);

    Mono<Department> updateDepartment(String departmentId, Department department);
}
